Topic: Howto: Upgrading Perl 5.10 to 5.14

The port 'lang/perl5.10' was removed on 2013-02-04 because: "Has expired: no longer under development, use lang/perl5.16 or lang/perl5.14". So we need to move from older 5.10 to newer 5.14. To upgrade perl choose port managment tool you like ( portupgrade or portmaster).

Portupgrade users:
1) Fix pkgdb.db (for safety):

# pkgdb -Ff

2) Reinstall new version of Perl (5.12):

# env DISABLE_CONFLICTS=1 portupgrade -o lang/perl5.12 -f perl-5.10.\*

3) Reinstall everything that depends on Perl:

# portupgrade -fr perl

Portmaster users:

# portmaster -o lang/perl5.12 lang/perl5.10

Conservative:

# portmaster p5-

Comprehensive (but perhaps overkill):

# portmaster -r perl-

Note: If the "perl-" glob matches  more than one port you will need to specify the name of the Perl directory in /var/db/pkg explicitly.

And now you can check which version of perl do you have:

# perl -v

This is perl 5, version 14, subversion 4 (v5.14.4) built for amd64-freebsd-thread-multi

Copyright 1987-2013, Larry Wall

Perl may be copied only under the terms of either the Artistic License or the
GNU General Public License, which may be found in the Perl 5 source kit.

Complete documentation for Perl, including FAQ lists, should be found on
this system using "man perl" or "perldoc perl".  If you have access to the
Internet, point your browser at http://www.perl.org/, the Perl Home Page.